SET FEEDBACK OFF
SET PAGESIZE 2000
SET LINESIZE 260
SELECT   substr(df.tablespace_name,1,20) "Tablespace",
         substr(df.file_name,1,40) "File",
         round(df.bytes/1024/1024,2) "Goesse (M)",
         round(e.used_bytes/1024/1024,2) "Belegt (M)",
         round(f.free_bytes/1024/1024,2) "Frei (M)",
         rpad(' '|| rpad ('#', round(e.used_bytes*10/df.bytes,0), '#')
                             ,11,'-') "% Belegt"
FROM   DBA_DATA_FILES DF,
         (SELECT file_id, sum(Decode(bytes,NULL,0,bytes)) used_bytes
          FROM dba_extents
          GROUP by file_id) E,
         (SELECT Max(bytes) free_bytes, file_id
          FROM dba_free_space
          GROUP BY file_id) F
WHERE     e.file_id (+) = df.file_id
AND       df.file_id  = f.file_id (+)
ORDER BY df.tablespace_name, df.file_name; 
SET FEEDBACK ON
