Prompt Table XLIB_CONF_VALUES;
CREATE TABLE XLIB_CONF_VALUES
(
  CONF_ID     NUMBER,
  conf_app_ctx varchar2(50) default 'GLOBAL',
  conf_domain varchar2(50) default 'GLOBAL',
  CONF_KEY    VARCHAR2(100 CHAR),
  CONF_VALUE  VARCHAR2(4000 CHAR), 
  CONSTRAINT XLIB_CONF_VALUES_PK PRIMARY KEY (CONF_ID)
)
/


begin
 execute immediate 'alter table xlib_conf_values drop constraint XLIB_CONF_VALUES_KEY_UC';
exception
when others then null;
end;
/


ALTER TABLE XLIB_CONF_VALUES
 ADD CONSTRAINT XLIB_CONF_VALUES_KEY_UC
 UNIQUE (conf_app_ctx, conf_domain, CONF_KEY)
/

ALTER TABLE XLIB_CONF_VALUES
 ADD (CONF_COMMENT  VARCHAR2(4000 CHAR));

CREATE OR REPLACE TRIGGER xlib_conf_values_biu_trg
   BEFORE INSERT OR UPDATE
   ON xlib_conf_values
   REFERENCING NEW AS NEW OLD AS OLD
   FOR EACH ROW
DECLARE
BEGIN
      IF :NEW.conf_id IS NULL
      THEN
         SELECT xlib_id_seq.NEXTVAL
           INTO :NEW.conf_id
           FROM DUAL;
      END IF;
      
      :new.conf_app_ctx := xlib_context.get_application_context;
END;
/
 
