set define '^'
set timing on
set pagesize 50000
set linesize 80
set serveroutput on size unlimited

--#########################
define VERSION=2.1.0.2
--#########################
spool _patch_v^VERSION..log
prompt *** Installation der Version ^VERSION
select to_char(sysdate, 'dd.mm.yyyy hh24:mi:ss') as "Beginn" from dual;

@@lib/_pause
-----------------------------------------------------------------------------

prompt *** Gruppe TK_ADMIN einrichten
BEGIN
  XLIB_SEC.ADD_GROUP (
    p_grp_name => 'TK_ADMIN',
    p_grp_title => 'TK-Administrator',
    p_grp_description => 'Verwaltet die TK-Anschlsse in den Shops'
  );
  WF_DEF.CREATE_GROUP (p_name => 'TK_ADMIN');
END;
/

prompt *** Tabellen installieren/ndern
@@sql/shdb_sta_anschluesse.sql
@@sql/shdb_sta_anschluess_alnr.sql

prompt *** Views installieren
@@sql/rep_shdb_sta_anschluesse_v.sql
@@sql/rep_shdb_gewerbe_excel_v.sql

prompt *** Package SHDB_FLAECHE_UI
@@sql/shdb_flaeche_ui.pks
show errors;
@@sql/shdb_flaeche_ui.pkb
show errors;

------------------------------------------------------------------------
commit;
prompt *** aktuelle Version setzen
set define '^'
begin
  xlib_conf.set_value(p_conf_key => 'SHDB.VERSION', p_conf_value => '^VERSION');
  XLIB_COMPONENT.SET_COMPONENT (p_name => 'SHDB', p_version => '^VERSION', p_version_label => '');
END;
/

prompt *** Objekte kompilieren
EXEC DBMS_UTILITY.compile_schema(schema => user);

prompt *** Invalide Objekte ausgeben ***
column object_name format a30;
column object_type format a20;

select object_name, object_type from user_objects where status='INVALID'
/

set define '^'
host find "ORA-" _patch_v^VERSION..log
host find "SP2-" _patch_v^VERSION..log
host grep "ORA-" _patch_v^VERSION..log
host grep "SP2-" _patch_v^VERSION..log

spool off
exit


